CamelGroupwiseStore
3
CAMEL Library

# CamelGroupwiseStore

## Synopsis

    #define             GW_PARAM_FILTER_INBOX
                        CamelGroupwiseStore;
                        CamelGroupwiseStorePrivate;
    char*               groupwise_get_name                  (CamelService *service,
                                                             gboolean brief);
    const char*         camel_groupwise_store_container_id_lookup
                                                            (CamelGroupwiseStore *gw_store,
                                                             const char *folder_name);
    const char*         camel_groupwise_store_folder_lookup (CamelGroupwiseStore *gw_store,
                                                             const char *container_id);
    EGwConnection*      cnc_lookup                          (CamelGroupwiseStorePrivate *priv);
    char*               storage_path_lookup                 (CamelGroupwiseStorePrivate *priv);
    const char*         groupwise_base_url_lookup           (CamelGroupwiseStorePrivate *priv);
    CamelFolderInfo*    create_junk_folder                  (CamelStore *store);
    gboolean            camel_groupwise_store_connected     (CamelGroupwiseStore *store,
                                                             CamelException *ex);
    void                gw_store_reload_folder              (CamelGroupwiseStore *store,
                                                             CamelFolder *folder,
                                                             guint32 flags,
                                                             CamelException *ex);

## Description

## Details

### GW_PARAM_FILTER_INBOX

    #define GW_PARAM_FILTER_INBOX		(1 << 0)

### CamelGroupwiseStore

    typedef struct {
    	CamelOfflineStore parent_object;

    	struct _CamelGroupwiseStoreSummary *summary;

    	char *root_container;
    	CamelGroupwiseStorePrivate *priv;
    	CamelFolder *current_folder;

    	/* the parameters field is not to be included not. probably for 2.6*/
    	/*guint32 parameters;*/
    	time_t refresh_stamp;
    	guint list_loaded;
    } CamelGroupwiseStore;

### CamelGroupwiseStorePrivate

    typedef struct _CamelGroupwiseStorePrivate CamelGroupwiseStorePrivate;

### groupwise_get_name ()

    char*               groupwise_get_name                  (CamelService *service,
                                                             gboolean brief);

`service` :

`brief` :

Returns :

### camel_groupwise_store_container_id_lookup ()

    const char*         camel_groupwise_store_container_id_lookup
                                                            (CamelGroupwiseStore *gw_store,
                                                             const char *folder_name);

`gw_store` :

`folder_name` :

Returns :

### camel_groupwise_store_folder_lookup ()

    const char*         camel_groupwise_store_folder_lookup (CamelGroupwiseStore *gw_store,
                                                             const char *container_id);

`gw_store` :

`container_id` :

Returns :

### cnc_lookup ()

    EGwConnection*      cnc_lookup                          (CamelGroupwiseStorePrivate *priv);

`priv` :

Returns :

### storage_path_lookup ()

    char*               storage_path_lookup                 (CamelGroupwiseStorePrivate *priv);

`priv` :

Returns :

### groupwise_base_url_lookup ()

    const char*         groupwise_base_url_lookup           (CamelGroupwiseStorePrivate *priv);

`priv` :

Returns :

### create_junk_folder ()

    CamelFolderInfo*    create_junk_folder                  (CamelStore *store);

`store` :

Returns :

### camel_groupwise_store_connected ()

    gboolean            camel_groupwise_store_connected     (CamelGroupwiseStore *store,
                                                             CamelException *ex);

`store` :

`ex` :

Returns :

### gw_store_reload_folder ()

    void                gw_store_reload_folder              (CamelGroupwiseStore *store,
                                                             CamelFolder *folder,
                                                             guint32 flags,
                                                             CamelException *ex);

`store` :

`folder` :

`flags` :

`ex` :